<?php



namespace app\validate\merchant;

use think\Validate;

class StoreProductGroupValidate extends Validate
{
    protected $failException = true;

    protected $rule = [
        "image|主图" => 'require|max:128',
        "slider_image|轮播图" => 'require',
        "store_name|商品名称" => 'require|max:128',
        "store_info|商品简介" => 'require',
        "product_id|原商品ID" => 'require',
        "temp_id|运费模板" => 'require',
        "start_time|开始时间" => 'require',
        "end_time|结束时间" => "require",
        "buying_count_num|开团总人数" => "require|>=:buying_num",
        "attrValue|商品属性" => "require|Array",
        "time|开团时长" => "require"
    ];
}
