<?php


// +----------------------------------------------------------------------
// | 控制台配置
// +----------------------------------------------------------------------
return [
    // 指令定义
    'commands' => [
        //自动同步路由权限
        'menu' => 'app\command\updateMenu',
        //将所有商品加入到spu表
        'spu' => 'app\command\updateSpu',
        //整理路由权限
        'menu:format' => 'app\command\FormatMenuPath',
        //清除缓存素材
        'clear:attachment' => 'app\command\ClearCacheAttachment',
        //版本更新
        'version:update' => 'app\command\VersionUpdate',
        //清除所有 除配置相关之外的数据
        'clear:merchant' => 'app\command\ClearMerchantData',
        //清除所有已删除的商户的商品相关数据
        'clear:redundancy' => 'app\command\ClearRedundancy',
        //重制平台管理员的密码
        'reset:password' => 'app\command\resetPassword',
    ],
];
