<?php




namespace ln\jobs;


use ln\interfaces\JobInterface;
use think\facade\Log;
use think\queue\Job;
use app\common\repositories\store\product\ProductRepository;

class UserHistoryJob implements JobInterface
{

    public function fire($job, $data)
    {
        try{
            app()->make(ProductRepository::class)->checkProductByExtension();
            $job->delete();
        }catch (\Exception $exception){
            Log::info(var_export($exception, 1));
        }
    }

    public function failed($data)
    {
        // TODO: Implement failed() method.
    }
}
