<?php




namespace ln\services\template;

use ln\basic\BaseManager;
use think\facade\Config;

/**
 * Class Template
 * @package ln\services\template
 * @mixin \ln\services\template\storage\Wechat
 * @mixin \ln\services\template\storage\Subscribe
 */
class Template extends BaseManager
{

    /**
     * 空间名
     * @var string
     */
    protected $namespace = '\\ln\\services\\template\\storage\\';

    /**
     * 设置默认
     * @return mixed
     */
    protected function getDefaultDriver()
    {
        return 'wechat';
    }
}