<?php

namespace app\common\repositories\store\product;

use app\common\repositories\BaseRepository;
use app\common\dao\store\product\ProductGroupSkuDao;
use think\exception\ValidateException;
use think\facade\Db;

/**
 * @mixin ProductGroupSkuDao
 */
class ProductGroupSkuRepository extends BaseRepository
{
    protected $dao;

    /**
     * ProductGroupRepository constructor.
     * @param ProductGroupDao $dao
     */
    public function __construct(ProductGroupSkuDao $dao)
    {
        $this->dao = $dao;
    }

}
