<?php


// 事件定义文件
return [
    'bind' => [
    ],

    'listen' => [
        'AppInit' => [],
        'HttpRun' => [],
        'HttpEnd' => [],
        'LogLevel' => [],
        'LogWrite' => [],
        'swoole.task' => [\ln\listens\SwooleTaskListen::class],
        'swoole.init' => [
            \ln\listens\InitSwooleLockListen::class,
            \ln\listens\CreateTimerListen::class,
        ],
        'swoole.workerStart' => [\app\webscoket\SwooleWorkerStart::class],
        'swoole.workerExit' => [\ln\listens\SwooleWorkerExitListen::class],
        'swoole.workerError' => [\ln\listens\SwooleWorkerExitListen::class],
        'swoole.workerStop' => [\ln\listens\SwooleWorkerExitListen::class],
        'create_timer' => env('INSTALLED', false) ? [
            \ln\listens\AutoOrderProfitsharingListen::class,
            \ln\listens\AuthTakeOrderListen::class,
            \ln\listens\AutoCancelGroupOrderListen::class,
            \ln\listens\AuthCancelPresellOrderListen::class,
            \ln\listens\AutoUnLockBrokerageListen::class,
            \ln\listens\AutoSendPayOrderSmsListen::class,
            \ln\listens\SyncSmsResultCodeListen::class,
            \ln\listens\SyncBroadcastStatusListen::class,
            \ln\listens\ExcelFileDelListen::class,
            \ln\listens\RefundOrderAgreeListen::class,
            \ln\listens\SeckillTImeCheckListen::class,
            \ln\listens\AutoOrderReplyListen::class,
            \ln\listens\ProductPresellStatusListen::class,
            \ln\listens\ProductGroupStatusCheckListen::class,
            \ln\listens\SyncSpreadStatusListen::class,
            \ln\listens\GuaranteeCountListen::class,
            \ln\listens\AutoUnLockIntegralListen::class,
            \ln\listens\AutoClearIntegralListen::class,
            \ln\listens\MerchantApplyMentsCheckListen::class,
            \ln\listens\AutoUnlockMerchantMoneyListen::class,
        ] : [],
        'pay_success_user_recharge' => [\ln\listens\pay\UserRechargeSuccessListen::class],
        'pay_success_order' => [\ln\listens\pay\OrderPaySuccessListen::class],
        'pay_success_presell' => [\ln\listens\pay\PresellPaySuccessListen::class],
        'pay_success_meal' => [\ln\listens\pay\MealSuccessListen::class],
    ],

    'subscribe' => [
    ],
];
