<?php



namespace app\validate\api;


use think\Validate;

class MerchantIntentionValidate extends Validate
{
    protected $failException = true;

    protected $rule = [
        'phone|手机号' => 'require|mobile',
        'name|姓名' => 'require',
        'mer_name|姓名' => 'require|max:32',
        'merchant_category_id|商户分类' => 'require',
        'mer_type_id|店铺类型' => 'integer',
        'code|验证码' => 'require',
        'images|资质' => 'array',
    ];
}