<?php



namespace ln\services\upload;

use ln\basic\BaseManager;
use think\facade\Config;

/**
 * Class Upload
 * @package ln\services\upload
 * @mixin \ln\services\upload\storage\Local
 * @mixin \ln\services\upload\storage\OSS
 * @mixin \ln\services\upload\storage\COS
 * @mixin \ln\services\upload\storage\Qiniu
 */
class Upload extends BaseManager
{
    /**
     * 空间名
     * @var string
     */
    protected $namespace = '\\ln\\services\\upload\\storage\\';

    /**
     * 设置默认上传类型
     * @return mixed
     */
    protected function getDefaultDriver()
    {
        return Config::get('upload.default', 'local');
    }


}
